<?php

/**
 * KartCommand Public
 *
 * @package KartCommand
 * @since   1.0.0
 */

defined('ABSPATH') || exit;

/**
 * KartCommand_Public class.
 */
class KartCommand_Public
{

    /**
     * Constructor.
     */
    public function __construct()
    {
        add_action('wp_enqueue_scripts', array($this, 'enqueue_scripts'));
        add_action('wp_footer', array($this, 'add_widget_code'));
    }

    /**
     * Enqueue scripts and styles.
     */
    public function enqueue_scripts()
    {
        if (get_option('kartcommand_enable_widget') == '1') {
            wp_enqueue_script('kartcommand-widget-init', KARTCOMMAND_PLUGIN_URL . 'assets/js/widget-init.js', array('jquery'), KARTCOMMAND_VERSION, true);

            $domain = get_option('kartcommand_domain');
            // Remove protocol if present
            $domain = preg_replace("(^https?://)", "", $domain);

            wp_localize_script('kartcommand-widget-init', 'stl_vars', array(
                'widget_chat_manager' => esc_attr(get_option('kartcommand_chat_manager')),
                'stl_domain' => $domain,
                'wp_nonce' => wp_create_nonce('wc_store_api'),
                'widget_enable' => '1'
            ));
        }
    }

    /**
     * Add widget code to footer.
     */
    public function add_widget_code()
    {
        $api_key = get_option('kartcommand_api_key');
        if (!empty($api_key)) {
?>
            <script type="text/javascript">
                // KartCommand widget initialization code
                // Use kartcommand_vars.domain and other variables as needed
            </script>
<?php
        }
    }
}

new KartCommand_Public();
