<?php

/**
 * KartCommand
 *
 * @package           KartCommand
 * @author            KartCommand
 * @copyright         2024 KartCommand
 * @license           GPL-2.0-or-later
 *
 * @wordpress-plugin
 * Plugin Name:       KartCommand
 * Plugin URI:        https://kartcommand.com
 * Description:       Integrates KartCommand product recommender assistant with WordPress and WooCommerce.
 * Version:           3.1.22
 * Requires at least: 5.2
 * Requires PHP:      7.2
 * Author:            KartCommand
 * Author URI:        https://www.kartcommand.com
 * Icon URI:          assets/images/icon-white-128x128.png
 * Text Domain:       kartcommand
 * License:           GPL v2 or later
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 */

defined('ABSPATH') || exit;

// Define plugin constants
define('KARTCOMMAND_VERSION', '3.1.22');
define('KARTCOMMAND_PLUGIN_DIR', plugin_dir_path(__FILE__));
define('KARTCOMMAND_PLUGIN_URL', plugin_dir_url(__FILE__));
define('KARTCOMMAND_PLUGIN_BASENAME', plugin_basename(__FILE__));


// Include the main KartCommand class
require_once KARTCOMMAND_PLUGIN_DIR . 'includes/class-kartcommand.php';

/**
 * Main instance of KartCommand.
 *
 * Returns the main instance of KC to prevent the need to use globals.
 *
 * @since  1.0.0
 * @return KartCommand
 */
function KC()
{
    return KartCommand::instance();
}

// Global for backwards compatibility.
$GLOBALS['kartcommand'] = KC();
